GBLAEPFIT(1)

NAME
gblaepfit - Fit a less asymmetric power exponential density

SYNOPSIS
gblaepfit [options] [files]

DESCRIPTION
Fit skewed power exponential density. Read from files or from standard input

    Options: -O output type (default 0)

0   parameter bl br a m and log-likelihood

1   the estimated distribution function computed on the provided points

2   the estimated density function computed on the provided points

-x  set initial conditions bl,br,a,m (default 2,2,1,1,0)

-m  the mode is not estimated but is set to the value provided

-s  number of intervals to explore at each iteration (default 10)

-V  verbosity level (default 0)

0   just the final result

1   intermediate steps results

2   intermediate steps internals

3+  details of optim. routine

-M  active estimation steps. The value is the sum of (default 1)

0   no optimization

1   global and local optimization

-G  set global optimization options. Fields are step,tol,iter,eps,msize,algo. Empty field implies default (default .1,1e-2,100,1e-3,1e-5,2)

-I  set local optimization options. Fields are step,tol,iter,eps,msize,algo. Empty field implies default (default .01,1e-3,200,1e-3,1e-5,2)

The optimization parameters are step initial step size of the searching algorithm

tol line search tolerance iter: maximum number of iterations

eps gradient tolerance : stopping criteria ||gradient||<eps

msize
    simplex max size : stopping criteria ||max edge||<msize

algo
    optimization methods: 0 Fletcher-Reeves, 1 Polak-Ribiere, 2 Broyden-Fletcher-Goldfarb-Shanno, 3 Steepest descent, 4 Nelder-Mead simplex, 5 Broyden-Fletcher-Goldfarb-Shanno ver.2 6 Nelder-Mead simplex ver. 2, 7 Nelder-Mead simplex rnd init.

EXAMPLES

gblaepfit -m 1 <file
    estimate bl,br,a with m=1

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.